package com.zd.chemical.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 hxp_classify_config
 *
 * @author zd
 * @date 2022-06-23
 */
@ApiModel("【请填写功能名称】")
public class HxpClassifyConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 关联分类id */
    @Excel(name = "关联分类id")
    @ApiModelProperty(value = "关联分类id")
    private Integer joinClassifyId;
    /** 化学品入库状态（1是，2否） */
    @Excel(name = "化学品入库状态", readConverterExp = "1=是，2否")
    @ApiModelProperty(value = "化学品入库状态")
    private Integer joinStatus;
    /** 化学品出库状态（1是，2否） */
    @Excel(name = "化学品出库状态", readConverterExp = "1=是，2否")
    @ApiModelProperty(value = "化学品出库状态")
    private Integer outStatus;
    /** 化学品领用状态（1是，2否） */
    @Excel(name = "化学品领用状态", readConverterExp = "1=是，2否")
    @ApiModelProperty(value = "化学品领用状态")
    private Integer collectStatus;
    /** 化学品归还状态（1是，2否） */
    @Excel(name = "化学品归还状态", readConverterExp = "1=是，2否")
    @ApiModelProperty(value = "化学品归还状态")
    private Integer returnStatus;

    /** 标签类型（1是RFID，2是二维码） */
    @Excel(name = "标签类型（1是RFID，2是二维码）", readConverterExp = "1是RFID，2是二维码")
    @ApiModelProperty(value = "标签类型（1是RFID，2是二维码）")
    private Integer labelType;

    /** 是否打印二维码标签（1是，0否） */
    @Excel(name = "是否打印二维码标签（1是，0否）", readConverterExp = "1=是，0否")
    @ApiModelProperty(value = "是否打印二维码标签（1是，0否）")
    private Integer printCode;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public Integer getJoinClassifyId() {
        return joinClassifyId;
    }

    public void setJoinClassifyId(Integer joinClassifyId) {
        this.joinClassifyId = joinClassifyId;
    }

    public void setJoinStatus(Integer joinStatus)
    {
        this.joinStatus = joinStatus;
    }

    public Integer getJoinStatus()
    {
        return joinStatus;
    }
    public void setOutStatus(Integer outStatus)
    {
        this.outStatus = outStatus;
    }

    public Integer getOutStatus()
    {
        return outStatus;
    }
    public void setCollectStatus(Integer collectStatus)
    {
        this.collectStatus = collectStatus;
    }

    public Integer getCollectStatus()
    {
        return collectStatus;
    }
    public void setReturnStatus(Integer returnStatus)
    {
        this.returnStatus = returnStatus;
    }

    public Integer getReturnStatus()
    {
        return returnStatus;
    }

    public Integer getLabelType() {
        return labelType;
    }

    public void setLabelType(Integer labelType) {
        this.labelType = labelType;
    }

    public Integer getPrintCode() {
        return printCode;
    }

    public void setPrintCode(Integer printCode) {
        this.printCode = printCode;
    }


    public void initDanger(){
        this.joinStatus = 2;
        this.outStatus = 2;
        this.collectStatus = 2;
        this.returnStatus = 2;
        this.labelType = 1;
        this.printCode = 1;
    }

    public void initOrdinary(){
        this.joinStatus = 1;
        this.outStatus = 1;
        this.collectStatus = 1;
        this.returnStatus = 1;
        this.labelType = 1;
        this.printCode = 1;
    }
}
